# if defined(STATISTICS) or defined(VHDL_TESTBENCH)
#ifdef SYSTEMC
/*
 * $Id: Morpheo_transition.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "TopLevel/include/Morpheo.h"
#include "Behavioural/include/Simulation.h"

namespace morpheo {

  using namespace behavioural;

#undef  FUNCTION
#define FUNCTION "Morpheo::transition"
  void Morpheo::transition (void)
  {
    log_begin(Morpheo,FUNCTION);

#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
    end_cycle ();
#endif

    // Test stop condition
    if (simulation_test_end())
      sc_stop();

    log_end(Morpheo,FUNCTION);
  };

}; // end namespace morpheo
# endif
#endif
